MCP Reference: memorystore.googleapis.com

Model Context Protocol (MCP) 服务器充当外部服务(为大语言模型 [LLM] 或 AI 应用提供上下文、数据或功能)与 LLM 或 AI 应用之间的代理。MCP 服务器将 AI 应用连接到数据库和 Web 服务等外部系统,并将这些系统的响应转换为 AI 应用可理解的格式。

服务器设置

您必须先启用 MCP 服务器设置身份验证,然后才能使用。如需详细了解如何使用 Google 和 Google Cloud 远程 MCP 服务器,请参阅 Google Cloud MCP 服务器概览

这是一个 MCP 服务器,可提供用于管理 Memorystore for Valkey 实例和备份的工具。

服务器端点

MCP 服务端点是 MCP 服务器的网络地址和通信接口(通常是网址),AI 应用(MCP 客户端的宿主)使用该端点来建立安全、标准化的连接。它是 LLM 请求上下文、调用工具或访问资源的交互点。Google MCP 端点可以是全球性的,也可以是区域性的。

memorystore.googleapis.com MCP 服务器具有以下 MCP 端点:

  • https://memorystore.googleapis.com/mcp

MCP 工具

MCP 工具是 MCP 服务器向 LLM 或 AI 应用公开的函数或可执行功能,用于在现实世界中执行操作。

memorystore.googleapis.com MCP 服务器具有以下工具:

MCP 工具
list_instances 列出所有 Memorystore for Valkey 实例。
get_instance 获取有关 Memorystore for Valkey 实例的详细信息。
create_instance 创建 Memorystore for Valkey 实例。
delete_instance 删除 Memorystore for Valkey 实例。
update_instance 更新 Memorystore for Valkey 实例。
get_certificate_authority 获取 Memorystore for Valkey 实例的证书授权机构。
reschedule_maintenance 为 Memorystore for Valkey 实例重新安排维护时间。
list_backup_collections 列出所有 Memorystore for Valkey 备份集合。
get_backup_collection 获取有关 Memorystore for Valkey 备份集合的详细信息。
list_backups 列出所有 Memorystore for Valkey 备份。
get_backup 获取有关 Memorystore for Valkey 备份的详细信息。
delete_backup 删除 Memorystore for Valkey 备份。
export_backup 导出 Memorystore for Valkey 备份。
backup_instance 备份 Memorystore for Valkey 实例。

获取 MCP 工具规范

如需获取 MCP 服务器中所有工具的 MCP 工具规范,请使用 tools/list 方法。下面的示例演示了如何使用 curl 列出 MCP 服务器中当前可用的所有工具及其规范。

Curl 请求
                      curl --location 'https://memorystore.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'